---
hide:
- navigation
---

# Examples

## Simple

/// details | `simple` Python module
    type: example

```python
--8<-- "docs/examples/simple.py"
```
///

::: simple
    options:
        heading_level: 3

## Enhanced

> WARNING: **Non-standard features**
The "enhanced" features are not part of PEP 727.
They just serve as an example to show what would be possible
if the PEP was enhanced to account for more use-cases.

/// details | `enhanced` Python module
    type: example

```python
--8<-- "docs/examples/enhanced.py"
```
///

::: enhanced
    options:
        heading_level: 3
